> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vexelia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user roles



## OpenAPI

````yaml GET /users/me/roles
openapi: 3.0.1
info:
  title: Vexelia API
  description: >-
    The base Vexelia API for interfacing with the Vexelia platform through a
    REST interface.
  termsOfService: https://vexelia.com/terms
  contact:
    name: Support
    url: https://help.vexelia.com
    email: support@vexelia.com
  version: v0.0.1
servers:
  - url: https://api.vexelia.com
    description: The production Vexelia API
security:
  - bearer: []
tags:
  - name: Backup
    description: Controller that handles backing up and restoring VMs
  - name: HostNode
    description: Controller that handles getting and updating host nodes
  - name: Network
    description: Controller that handles network management for the platform
  - name: Node
    description: Handles the management of VPS servers and dedicated servers (nodes)
  - name: Payment
    description: Handles all payment-related systems and webhooks
  - name: Plan
    description: Controller that handles managing pricing plans
  - name: Template
    description: Manages templates for Proxmox
  - name: User
    description: >-
      Handles all user-related functions such as creating and authenticating
      users
  - name: Vnc
    description: Handles proxying VNC websockets to client safely
paths:
  /users/me/roles:
    get:
      tags:
        - User
      summary: Gets all the roles the current user is a member of
      responses:
        '200':
          description: The roles the current user is associated with
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StringIEnumerableResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/StringIEnumerableResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/StringIEnumerableResponse'
        '401':
          description: Bad user authorization
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ObjectResponse'
components:
  schemas:
    StringIEnumerableResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the operation was successful
        message:
          type: string
          description: The optional message given by the operation
          nullable: true
        data:
          type: array
          items:
            type: string
          description: The optional return data from the operation
          nullable: true
      additionalProperties: false
      description: >-
        Generic response that most responses inherit or return on an API
        endpoint
    ObjectResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the operation was successful
        message:
          type: string
          description: The optional message given by the operation
          nullable: true
        data:
          description: The optional return data from the operation
          nullable: true
      additionalProperties: false
      description: >-
        Generic response that most responses inherit or return on an API
        endpoint
  securitySchemes:
    bearer:
      type: http
      description: Your API key goes here, you can generate one in your account settings.
      scheme: bearer
      bearerFormat: JWT

````